PHP Selector, CageFS and Litespeed Issues
Forum
  1. Forums
  2. CloudLinux and Control Panels
  3. CloudLinux and cPanel
  1. Hostking
  2. Wednesday, 17 April 2013
  3.  Subscribe via email
I have been having issues trying to get PHP Selector to work on Litespeed. It was basically changing the opt php.ini files correctly but not changing the PHP version itself.

I followed the following document :
http://docs.cloudlinux.com/index.html?litespeed_support.html

and got everything exactly as it should be.
It was originally pointing to the /opt files but now goes to default location at: /usr/local/lib/php.ini
I then decided to do the following:

Change everything back on litespeed. 2 settings only. So didn't think I need to reinstall it.

Uninstalled CageFS and PHP Selector and reinstalled both and enabled all users on CageFS.

Still no luck. No one points to /opt php.ini files. Any ideas what could be wrong?
Rate this post:
  1. 17.04.2013 08:04:04
  2. # 1
Igor Seletskiy Accepted Answer
Posts: 1195
Joined: 09.02.2010
0
Votes
Undo
Most likely the issue is with LiteSpeed settings (like CageFS not enabled, or  lsphp5 is in suEXEC daemon mode)
If you cannot figure it out -- contact either our support or LiteSpeed support -- and we will help you figure it out.
  1. 17.04.2013 08:04:29
  2. # 2
Hostking Accepted Answer
Posts: 38
Joined: 07.11.2012
0
Votes
Undo
Yes I think you right as I took Litespeed out of the equation by switching to Apache in it\'s config.

Worked and everything works beautifully. So must be something there.
  • Page :
  • 1


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Insert • Remove Upload Files (Maximum File Size: 2 MB)
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.